<template>
  <div>
    <h1>Menu</h1>
    <el-tabs type="card" v-model="activeTab">
      <el-tab-pane label="Pages" name="/admin/menu"> </el-tab-pane>
      <el-tab-pane label="Sidebar" name="/admin/menu/sidebar"> </el-tab-pane>
      <el-tab-pane label="Header" name="/admin/menu/header"> </el-tab-pane>
      <el-tab-pane label="Footer" name="/admin/menu/footer"> </el-tab-pane>
    </el-tabs>
    <nuxt-child />
  </div>
</template>

<script lang="ts">
import { defineComponent, ref, watch } from '@nuxtjs/composition-api'

export default defineComponent({
  name: 'AdminMenuPage',
  setup(_, { root }) {
    const activeTab = ref(root.$route.fullPath)
    watch(activeTab, value => {
      root.$router.push(root.localePath(value))
    })

    return { activeTab }
  }
})
</script>
